Subject: bug#60078: 30.0.50; Gnus: Can't remove groups of select methods that don't exist anymore

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 23 Feb 2024 08:12:41 -0800

On 02/23/24 09:22 AM, Jakub Ječmínek wrote:
> "Eric Abrahamsen" <[email-masked]> writes:
>
>> I tried Björn's recipe in the gnus-mock package, which is the closest
>> thing I've got to a uncustomized Gnus. Replacing the principle select
>> method (previously nnmaildir) with nnnil, restarting Gnus, and running
>> "b", correctly prompted me to remove the three groups that had
>> previously belonged to the nnmaildir server.
>
> Can you try that with `gnus-secondary-select-methods'?

Oh weird, in that case I don't get an error, but it also doesn't offer
to remove the groups -- nothing happens at all. I'll look into this a
little more closely.